package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Pacote;

public class RenderConfiguracionPacote implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {

		Pacote pacote = (Pacote) o;

		Listcell lc = new Listcell(pacote.getPacoteId().toString());
		lc.setParent(lstm);

		lc = new Listcell(pacote.getNompacote());
		lc.setParent(lstm);
		
		lc = new Listcell(pacote.getRuta().getDescruta());
		lc.setParent(lstm);
		
		if(pacote.getActivo()) {
			lc = new Listcell(Labels.getLabel("editarConfiguracionPacoteController.radIndAutorizado.value"));	
		} else {
			lc = new Listcell(Labels.getLabel("editarConfiguracionPacoteController.radIndLatente.value"));
		}
		lc.setParent(lstm);
		


		lstm.setAttribute("data", pacote);
	}
}